Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063213 - pulp-admin fails to recognize rpm repo publish error
Summary: pulp-admin fails to recognize rpm repo publish error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support
Version: Master
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 2.4.0
Assignee: Randy Barlow
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 09:55 UTC by mkovacik
Modified: 2014-08-09 06:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 06:56:44 UTC


Attachments (Terms of Use)
Screen log (deleted)
2014-02-10 09:55 UTC, mkovacik
no flags Details
verifying screen log (deleted)
2014-04-25 14:16 UTC, mkovacik
no flags Details

Description mkovacik 2014-02-10 09:55:13 UTC
Created attachment 861309 [details]
Screen log

Description of problem:
when called, pulp-admin rpm repo publish run --repo-id <a repo id> fails to propagate/report publish failures although one can see a publish error entry in log file ~/.pulp/server_calls.log

Version-Release number of selected component (if applicable):
pulp-admin-client-2.4.0-0.2.alpha.git.1.e941874.fc20.noarch

How reproducible:
Always

Steps to Reproduce:
1. create rpm repo
2. sync rpm repo
3. publish rpm repo (make sure rpm publishing fails)

Actual results:
pulp-admin fails to recognize the publish failure

Expected results:
pulp-admin propagates/reports publishing failure

Additional info:
See also Bug #1063207

Comment 1 Jeff Ortel 2014-04-03 13:36:09 UTC
build: 2.4.0-0.7.beta

Comment 2 mkovacik 2014-04-25 14:16:40 UTC
Created attachment 889774 [details]
verifying screen log

Verified by introducing a custom RuntimeError for publiher in version: pulp-admin-client-2.4.0-0.10.beta.git.1.7406489.fc20.noarch
For more details, check the verifying screen log

Comment 3 mkovacik 2014-04-25 14:17:18 UTC
State change based on Comment#2

Comment 4 Randy Barlow 2014-08-09 06:56:44 UTC
This has been fixed in Pulp 2.4.0-1.


Note You need to log in before you can comment on or make changes to this bug.